Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface PortalPersonalization

All Superinterfaces:
  PersonalizedObject, PersonalizedResource, PortalResource, PortalScopedObject

All Known Subinterfaces:
  MutablePortalPersonalization

public interface PortalPersonalization
extends PersonalizedResource

Interface `PortalPersonalization` represents the personalization of a `Portal` for a given identity. In the same way that a `ProfileIdentity` can represent either a usergroup or a user within a usergroup, so a `PortalPersonalization` can represent the personalization of a `Portal` for either a usergroup or a user within a usergroup.

Method Summary
`PageIdentifier` | `getHomePage()` Returns a `PageIdentifier` representing the home page defined for this identity.
`PortalPersonalizationIdentifier` | `getIdentifier()` Returns the unique identifier for this `PortalPersonalization`.
`LayoutDefinition` | `getLayout(LayoutIdentifier layoutId)` Returns the `LayoutDefinition` requested by identifier.
`Map` | `getLayoutMap()` Returns a map of `LayoutDefinition` keyed with `LayoutIdentifier`.
`List` | `getLayouts()` Returns a `List` of `LayoutDefinition` objects for the layouts available for selection for this identity.
`int` | `getNavBarOrientation()` Returns the orientation of the navigation bar to be used when the portal is rendered for this user or group.
`PagePersonalization` | `getPagePersonalization(PageIdentifier pageId)` Returns a `PagePersonalization` object for the specified page and for the associated identity.
`Iterator` | `getPagePersonalizations()` Returns an `Iterator` over all the `PagePersonalization` objects in this portal for the associated identity.
`SkinIdentifier` | `getSelectedSkin()` Returns the selected skin for this user or group.
`SkinDefinition` | `getSkin(SkinIdentifier skinId)` Returns the `SkinDefinition` requested by identifier.
`Map` | `getSkinMap()` Returns a map of `SkinDefinition` keyed with `SkinIdentifier`.
`List` | `getSkins()` Returns a `List` of `SkinIdentifier` objects for the skins available for selection in this portal for this identity.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Methods inherited from interface com.bea.portal.model.PersonalizedObject
`getDisplayName, getProfileIdentity`

Method Detail

### getIdentifier

    public PortalPersonalizationIdentifier getIdentifier()

  Returns the unique identifier for this `PortalPersonalization`.

  Returns:
    the unique identifier for this personalization.

### getHomePage

    public PageIdentifier getHomePage()

  Returns a `PageIdentifier` representing the home page defined for this identity. A value of `null` (only valid for a user customization) indicates that the user has not specified a home page.

  Returns:
    specified home page.

### getSelectedSkin

    public SkinIdentifier getSelectedSkin()

  Returns the selected skin for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified a skin.

  Returns:
    the selected skin for this identitiy.

### getSkin

    public SkinDefinition getSkin(SkinIdentifier skinId)

  Returns the `SkinDefinition` requested by identifier.

  Parameters:
    `skinId` - identifier for skin required.
  Returns:
    the skin definition requested.
  Throws:
    `IllegalArgumentException` - if skin is not defined.

### getSkins

    public List getSkins()

  Returns a `List` of `SkinIdentifier` objects for the skins available for selection in this portal for this identity.

  Returns:
    the set of skins available to this identity.

### getSkinMap

    public Map getSkinMap()

  Returns a map of `SkinDefinition` keyed with `SkinIdentifier`.

  Returns:
    map of skins

### getLayout

    public LayoutDefinition getLayout(LayoutIdentifier layoutId)

  Returns the `LayoutDefinition` requested by identifier.

  Parameters:
    `layoutId` - identifier for layout required.
  Returns:
    the layout definition requested.
  Throws:
    `IllegalArgumentException` - if layout is not defined.

### getLayouts

    public List getLayouts()

  Returns a `List` of `LayoutDefinition` objects for the layouts available for selection for this identity.

  Returns:
    the set of layouts available to this identity.

### getLayoutMap

    public Map getLayoutMap()

  Returns a map of `LayoutDefinition` keyed with `LayoutIdentifier`.

  Returns:
    map of layouts

### getNavBarOrientation

    public int getNavBarOrientation()

  Returns the orientation of the navigation bar to be used when the portal is rendered for this user or group. Valid values are: `Portal.NAVBAR_ORIENTATION_UNSPECIFIED` `Portal.NAVBAR_ORIENTATION_HORIZONTAL` `Portal.NAVBAR_ORIENTATION_VERTICAL`

  Returns:
    the orientation of the navigation bar for this identity.

### getPagePersonalization

    public PagePersonalization getPagePersonalization(PageIdentifier pageId)

  Returns a `PagePersonalization` object for the specified page and for the associated identity.

  Returns:
    the page personalization for the specified page.

### getPagePersonalizations

    public Iterator getPagePersonalizations()

  Returns an `Iterator` over all the `PagePersonalization` objects in this portal for the associated identity.

  Returns:
    all the page personalizations in this portal .

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved